=== modified file 'Makefile.am'
--- Makefile.am	2012-11-17 15:02:22 +0000
+++ Makefile.am	2012-12-19 16:51:38 +0000
@@ -5,6 +5,7 @@
 	po \
 	src \
 	libhud \
+	libhud-gtk \
 	libhud-client \
 	tools \
 	docs

=== modified file 'configure.ac'
--- configure.ac	2012-12-11 19:23:03 +0000
+++ configure.ac	2012-12-19 16:51:38 +0000
@@ -243,6 +243,7 @@
 libhud/Makefile
 libhud/tests/Makefile
 libhud/demo/Makefile
+libhud-gtk/Makefile
 libhud-client/Makefile
 libhud-client/tests/Makefile
 data/Makefile

=== added directory 'libhud-gtk'
=== added file 'libhud-gtk/Makefile.am'
--- libhud-gtk/Makefile.am	1970-01-01 00:00:00 +0000
+++ libhud-gtk/Makefile.am	2012-12-19 16:51:38 +0000
@@ -0,0 +1,57 @@
+
+SUBDIRS = .
+
+lib_LTLIBRARIES = libhud-gtk.la
+
+ABI_VERSION = 1
+API_VERSION = 1
+
+libhud_gtk_include_basedir = $(includedir)/libhud-gtk-$(API_VERSION)/
+libhud_gtk_include_base_HEADERS = \
+	hud-gtk.h
+
+libhud_gtkincludedir = $(includedir)/libhud-gtk-$(API_VERSION)/libhud-gtk
+libhud_gtkinclude_HEADERS = \
+	manager.h
+
+libhud_gtk_la_SOURCES = \
+	manager.c
+
+libhud_gtk_la_CFLAGS = \
+	$(HUD_CFLAGS) \
+	$(COVERAGE_CFLAGS) \
+	-I . \
+	-I $(top_srcdir) \
+	-I $(top_srcdir)/libhud \
+	-D G_LOG_DOMAIN=\"libhud-gtk\" \
+	-D HUD_GTK_COMPILATION \
+	-Wall -Werror
+
+libhud_gtk_la_LIBADD = \
+	$(HUD_LIBS)
+
+libhud_gtk_la_LDFLAGS = \
+	$(HUD_LDFLAGS) \
+	$(COVERAGE_LDFLAGS) \
+	-version-info $(ABI_VERSION):0:0 \
+	-no-undefined \
+	-export-symbols-regex "^[^_].*"
+
+EXTRA_DIST = \
+	hud-gtk.pc.in
+
+pkgconfig_DATA = hud-gtk-$(API_VERSION).pc
+pkgconfigdir = $(libdir)/pkgconfig
+
+%-$(API_VERSION).pc: %.pc.in
+	sed \
+		-e "s:\@apiversion\@:$(API_VERSION):" \
+		-e "s:\@libdir\@:$(libdir):" \
+		-e "s:\@includedir\@:$(includedir):" \
+		-e "s:\@VERSION\@:$(VERSION):" \
+		$< > $@
+
+CLEANFILES = \
+	$(BUILD_SOURCES) \
+	hud-gtk-$(API_VERSION).pc
+

=== added file 'libhud-gtk/hud-gtk.h'
--- libhud-gtk/hud-gtk.h	1970-01-01 00:00:00 +0000
+++ libhud-gtk/hud-gtk.h	2012-12-19 16:51:38 +0000
@@ -0,0 +1,36 @@
+/*
+ * Copyright © 2012 Canonical Ltd.
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of either or both of the following licences:
+ *
+ * 1) the GNU Lesser General Public License version 3, as published by
+ * the Free Software Foundation; and/or
+ * 2) the GNU Lesser General Public License version 2.1, as published by
+ * the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranties of
+ * MERCHANTABILITY, SATISFACTORY QUALITY or FITNESS FOR A PARTICULAR
+ * PURPOSE.  See the applicable version of the GNU Lesser General Public
+ * License for more details.
+ *
+ * You should have received a copy of both the GNU Lesser General Public
+ * License version 3 and version 2.1 along with this program.  If not,
+ * see <http://www.gnu.org/licenses/>
+ *
+ * Author: Ted Gould <ted@canonical.com>
+ */
+
+#ifndef __HUD_GTK_H__
+#define __HUD_GTK_H__
+
+#include <hud.h>
+
+#define _HUD_GTK_H_INSIDE
+
+#include <libhud-gtk/manager.h>
+
+#undef _HUD_GTK_H_INSIDE
+
+#endif /* __HUD_GTK_H__ */

=== added file 'libhud-gtk/hud-gtk.pc.in'
--- libhud-gtk/hud-gtk.pc.in	1970-01-01 00:00:00 +0000
+++ libhud-gtk/hud-gtk.pc.in	2012-12-19 16:51:38 +0000
@@ -0,0 +1,11 @@
+libdir=@libdir@
+includedir=@includedir@
+
+Cflags: -I${includedir}/libhud-gtk-@apiversion@
+Requires: glib-2.0 hud-1
+Libs: -L${libdir} -lhud-gtk
+
+Name: libhud-gtk
+Description: A library to submit items into the HUD with GTK+ helpers
+Version: @VERSION@
+

=== added file 'libhud-gtk/manager.c'
--- libhud-gtk/manager.c	1970-01-01 00:00:00 +0000
+++ libhud-gtk/manager.c	2012-12-19 16:51:38 +0000
@@ -0,0 +1,27 @@
+/*
+ * Copyright © 2012 Canonical Ltd.
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of either or both of the following licences:
+ *
+ * 1) the GNU Lesser General Public License version 3, as published by
+ * the Free Software Foundation; and/or
+ * 2) the GNU Lesser General Public License version 2.1, as published by
+ * the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranties of
+ * MERCHANTABILITY, SATISFACTORY QUALITY or FITNESS FOR A PARTICULAR
+ * PURPOSE.  See the applicable version of the GNU Lesser General Public
+ * License for more details.
+ *
+ * You should have received a copy of both the GNU Lesser General Public
+ * License version 3 and version 2.1 along with this program.  If not,
+ * see <http://www.gnu.org/licenses/>
+ *
+ * Author: Ted Gould <ted@canonical.com>
+ */
+
+#include "manager.h"
+
+int dummy_symbol;

=== added file 'libhud-gtk/manager.h'
--- libhud-gtk/manager.h	1970-01-01 00:00:00 +0000
+++ libhud-gtk/manager.h	2012-12-19 16:51:38 +0000
@@ -0,0 +1,31 @@
+/*
+ * Copyright © 2012 Canonical Ltd.
+ *
+ * This program is free software: you can redistribute it and/or modify
+ * it under the terms of either or both of the following licences:
+ *
+ * 1) the GNU Lesser General Public License version 3, as published by
+ * the Free Software Foundation; and/or
+ * 2) the GNU Lesser General Public License version 2.1, as published by
+ * the Free Software Foundation.
+ *
+ * This program is distributed in the hope that it will be useful, but
+ * WITHOUT ANY WARRANTY; without even the implied warranties of
+ * MERCHANTABILITY, SATISFACTORY QUALITY or FITNESS FOR A PARTICULAR
+ * PURPOSE.  See the applicable version of the GNU Lesser General Public
+ * License for more details.
+ *
+ * You should have received a copy of both the GNU Lesser General Public
+ * License version 3 and version 2.1 along with this program.  If not,
+ * see <http://www.gnu.org/licenses/>
+ *
+ * Author: Ted Gould <ted@canonical.com>
+ */
+
+#ifndef __HUD_GTK_MANAGER_H__
+#define __HUD_GTK_MANAGER_H__
+
+#include <glib.h>
+#include <hud.h>
+
+#endif /* __HUD_GTK_MANAGER_H__ */

